<!-- DataTables -->
<link rel="stylesheet"
	  href="<?php echo base_url('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') ?>">
<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css"/>

<div class="content-wrapper">
	<?php
	use Carbon\Carbon;
	function toLocateDate($date , $timezone){
		if($date){
			$carbon = Carbon::createFromFormat('Y-m-d H:i:s', $date, 'UTC');
			$carbon->setTimezone($timezone);
			return $carbon->toDateTimeString();
		}
		return $date;
	}
	?>
	<!-- Content Header (Page header) -->
	<section class="content-header">

		<h1>
			<?php echo isset($category) ? 'Wallet' :  $this->lang->line('Gestion des wallets') ; echo ' '.$network.' - '.$country; ?>
<!--			<input type="button" class="btn btn-primary pull-right" id="Bactiver"-->
<!--				   value="Activer/Désactiver le(s) réseau(x)" />-->
		</h1>
		<?php
		$site_url = base_url();

		if ($alert == "ok") {

			if (!$success == "ok") {
				?>
				<div class='alert alert-danger alert-dismissible col-xs-6'>
					<button type='button' class='close' data-dismiss='alert' aria-hidden='true'>×</button>
					<h4><i class='icon fa fa-ban'></i> Erreur!</h4>
					<?php echo $message; ?>
				</div>

				<?php
			} else {
				?>
				<div class="alert alert-success alert-dismissible col-xs-6">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<h4><i class="icon fa fa-check"></i> Success!</h4>
					<?php echo $message; ?>
				</div>

				<?php
			}
		}
		?>
	</section>
	<section class="content">
		<div class="row">
			<div class="col-md-4 col-sm-6 col-xs-12">
				<div class="info-box">
					<span class="info-box-icon bg-aqua"><i class="ion ion-android-time"></i></span>
					<div class="info-box-content">
						<span class="info-box-text"><?php echo $this->lang->line('Période') ?> </span>
						<span class="info-box-number">
                                    <input id="picker"
										style="background: #fff; cursor: pointer; padding: 1px 1px; border: 1px solid #ccc; width: 100%" data-category="<?php echo isset($category) ? $category : null ?>"
										type="text" name="daterange" data-lang="<?php echo $this->session->userdata('site_lang') ?>"
										value="<?php echo ($startDate!=null & $endDate != null) ?  $startDate. ' - '.$endDate : ''?>"/>
                                    
						</span>
						<span> Format : <?php echo $this->session->userdata('site_lang') === 'french' ? 'Jour - Mois - Année ' : 'Year - Month - Day'?> </span>
					</div>
				</div>
			</div>

		</div>
		<div class="row">
			<div class="col-xs-12">
				<div class="box">
					<div class="box-header">
						<h3 class="box-title"><?php echo $this->lang->line('recharge_historic'); ?></h3>
					</div>
					<div class="box-body" style="overflow-x:auto;">
						<?php
						if($transactions){
							$numrows = $transactions->num_rows();
							$num = 0;
							if ($numrows > 0) {
							$fmt = new NumberFormatter( 'fr_FR', NumberFormatter::DECIMAL );
							?>

							<table id="transactions" class="table table-bordered table-striped">
								<thead>
								<tr>
									<th align='center'>N°</th>
									<th><?php echo $this->lang->line('Montant') ?></th>
									<th align='center'>Date</th>
								</tr>
								</thead>
								<tbody>

								<?php

								foreach ($transactions->result() as $row) {
									$num++;
									echo "<tr>
											<td align='center' >$num</td>
											<td>".$fmt->format($row->montant)."</td>
											<td>".toLocateDate($row->date,$this->session->userdata('timezone'))."</td>
											 </tr>";
								}
								?>
								</tbody>

								<?php
								} else {
									echo $this->lang->line('no_recharge');
								}
						}else {
							 echo $this->lang->line('no_recharge');
							}
						?>

						</table>

					</div>
				</div>
			</div>
		</div>
	</section>


</div>
<!-- jQuery 3 -->
<script src="<?php echo base_url('bower_components/jquery/dist/jquery.min.js') ?>"></script>
<!-- Bootstrap 3.3.7 -->
<script src="<?php echo base_url('bower_components/bootstrap/dist/js/bootstrap.min.js') ?>"></script>
<!-- DataTables -->
<script src="<?php echo base_url('bower_components/datatables.net/js/jquery.dataTables.min.js') ?>"></script>
<script src="<?php echo base_url('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') ?>"></script>
<!-- SlimScroll -->
<script src="<?php echo base_url('bower_components/jquery-slimscroll/jquery.slimscroll.min.js') ?>"></script>
<!-- FastClick -->
<script src="<?php echo base_url('bower_components/fastclick/lib/fastclick.js') ?>"></script>
<!-- AdminLTE App -->
<script src="<?php echo base_url('dist/js/adminlte.min.js') ?>"></script>
<!-- AdminLTE for demo purposes -->
<script src="<?php echo base_url('dist/js/demo.js') ?>"></script>

<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment-with-locales.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/plug-ins/1.10.19/sorting/datetime-moment.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/plug-ins/1.10.20/dataRender/datetime.js"></script>


<script>
	$(function () {
		const lang =  $('#picker').data('lang');
		const format = lang === 'french' ? 'fr' : 'en';
		moment.updateLocale(moment.locale(format), { invalidDate: "" }); // Blank text when is invalid date
		$('#transactions').DataTable({
			"aaSorting": [[ 2, "desc" ]],
			"columnDefs": [ {
				targets: 2,
				render: $.fn.dataTable.render.moment( 'YYYY-MM-DD HH:mm:ss' , 'D MMMM YYYY HH:mm:ss', format)
			}]
		});
	});
</script>

<script type="text/javascript">
	var startDate;
	var endDate;

	$(function () {
		const lang =  $('#picker').data('lang');
		const category =  $('#picker').data('category');
		$('input[name="daterange"]').daterangepicker({
			opens: 'left',
			autoUpdateInput: false,
			locale: {
				format: lang === 'french' ? 'DD-MM-YYYY' : 'YYYY-MM-DD',
				cancelLabel: 'Clear'
			}
		}, function (start, end, label) {
			const debut = start.format('YYYY-MM-DD');
			const fin = end.format('YYYY-MM-DD');
			if(category)
				window.location = "<?php echo current_url()?>" + "?history=recharge" + "&d=" + debut + "&f=" + fin;
			else
				window.location = "<?php echo current_url()?>" + "?id=118&history=recharge" + "&d=" + debut + "&f=" + fin;

		});

		$('input[name="daterange"]').on('cancel.daterangepicker', function(ev, picker) {
			//do something, like clearing an input
			$('#daterange').val('');
			if(category)
				window.location = "<?php echo current_url()?>" + "?history=recharge";
			else
				window.location = "<?php echo current_url()?>" + "?id=118&history=recharge";
		});
	});

</script>

